package sql;

import config.Globals;
import db.DBApiEntry;

import java.text.ParseException;

public class TestInsertTable {
    public static void main(String[] args) throws ParseException {
//        String host = "192.168.101.87";
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
//        entry.setUseLB(false);
//        entry.setUseLB(true);

        String sql = "insert into test8 (datetime, city, area, company, voltage, electricity) values ('2022-04-16T00:00:00+08:00', 't1', 'nanjing', 'nuaa', 21, 22)";
//        String sql = "create table test (city string tag ,area string tag,company string tag,voltage float value,electricity float value)";
//        String sql = "select *";
        long testBegin = System.currentTimeMillis();
        String result = entry.execInsert(sql);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend total:%d (ms)", testEnd-testBegin));
        System.out.println(String.format("result:%s", result));
    }
}
